# LibreELEC setup

This repository contains setup or configuration files for [LibreELEC](https://libreelec.tv/) after installation.

### WireGuard VPN setup
* copy `~/.config/wireguard/wireguard.config.sample` to a new file, and adjust the parameters (see
https://wiki.libreelec.tv/configuration/wireguard for reference)

### Files
* `variables.conf.template` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
* `systemd-templates/` contains Systemd units templates for detecting VPN connection, and apply routes and DNS
  modifications.
* `set-dns.sh` sets the VPN DNS to `resolv.conf`, and `unset-dns.sh` restores the previous `resolv.conf`.
#### Installation
* `install.sh` script copies Systemd templates to their destination, and enables trigger (Systemd path).

### TODO
* RAS
